C
C	MacInTalk include file for Language Systems FORTRAN
C
	INTEGER*2 fullUnitT		!error code for driver unit table full
	PARAMETER (fullUnitT = -4000)

C	Voice sex characteristics - Only Male is valid
	INTEGER*2 Male, Female
C	Voice tonal characteristics
	INTEGER*2 Natural, Robotic, NoChange
C	Languages - Only English is valid!
	INTEGER*2 English, French, Spanish, German, Italian
	PARAMETER (Male=0, Female=1)
	PARAMETER (Natural=0, Robotic=1, NoChange=2)
	PARAMETER (English=0, French=1, Spanish=2, German=3, Italian=4)

C	Driver parm block, used internally
	STRUCTURE /SpeechRecord/
		INTEGER*1 array(0:99)
	END STRUCTURE

C	pointer to driver parm block	
	STRUCTURE /SpeechPointer/
		POINTER /SpeechRecord/ P
	END STRUCTURE

C	handle to driver parm block	
	STRUCTURE /SpeechHandle/
		POINTER /SpeechPointer/ H
	END STRUCTURE

C	Voice characteristics record	
	STRUCTURE /VoiceRecord/
		INTEGER*2 theSex
		INTEGER*2 theLanguage
		INTEGER*2 theRate
		INTEGER*2 thePitch
		INTEGER*2 theMode
		STRING*255 theName
		INTEGER*4 refCon
	END STRUCTURE
	
C	pointer to Voice characteristics record	
	STRUCTURE /VoicePtr/
		POINTER /VoiceRecord/ P
	END STRUCTURE

C	Declare as PExternal the driver routines
	INTEGER*2 SpeechOn,Reader,MacinTalk
	PEXTERNAL SpeechOn,SpeechOff,SpeechRate,SpeechPitch,SpeechSex,Reader,MacinTalk

C	Set up string parameters for driver
	STRING*10 noExcpsFiles	!Signals Reader to use only basic rules
	STRING*10 noReader		!Signals SpeechOn to NOT bring in Reader
	DATA noExcpsFiles,noReader/'','noReader'/
